Bug 59338 - I18N - buzz l10n kits wont have plugin files unless special kit/process is done
I18N - buzz l10n kits wont have plugin files unless special kit/process is done
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Code
4.x
All All
: P2 (vote)
: 4.x
Assigned To: Michal Zlamal
issues@serverplugins
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-27 15:44 UTC by Kirill Sorokin
Modified: 2006-01-04 15:46 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kirill Sorokin 2005-05-27 15:44:39 UTC
This issue is moved from bugtraq.
-----------------------------------------------

Description

3 of the buzz lite plugins will live in nb cvs, not buzz cvs,
from what I've seen.

This means that their localizable files wont be in the buzz
l10n kit, since that will come from files in buzz repos.

A special l10n kit or or other process is needed to allow l10n
to get these files, and process for putting back and having localized
jars built/installed -- and this process needs to emulate that of 
existing RE and dev l10n kit and delivery processes.

Maybe this can be accomplished by:

- buzz cvs gets the nb cvs files and l10n.list for these - then
same buzz l10n kit could be used.

in this case, l10n could putback to buzz translatedfiles/src
and other processes/scripts would cause the files to go to the
nb cvs for actual building of localized jars

- nb provides a special l10n kit on nb machine, just as they 
do for some nb modules not in nb cvs. This process would include
allowing l10n to putback to nb cvs and to cause localzied plugins to
be built there at nb cvs.

---> I guess whatever process the non localized plugins will
follow could decide which of these processes to follow - that is,
how does buzz get the localized plugin jars ?
ken.frank@sun.com 2005-05-10 06:35:57 GMT

Comments

Based on Charles comments, plugins will be delivered as binary
from nb to buzz; so this issue is valid; l10n will not localize
plugins for nb at this time since they are not in nb 4.1 and
they dont localize UC updates; so the solutions such as mentioned
in description need to be implemented; please involve jse-re
in these discussions also.
ken.frank@sun.com 2005-05-11 19:58:18 GMT

Added jse-re@sun.com to the interest list.
kirill.sorokin@sun.com 2005-05-12 10:40:18 GMT

michal.zlamal@sun.com 2005-05-17 14:57:16 GMT

Previously mistakenly set the target release to bow_fqm; this issue is buzz
specific. Setting the target bacl to buzz_dev.
karthikeyan.rajeswaran@sun.com 2005-05-22 18:42:17 GMT

Suggested Fix

The plugins are now in O/S CVS and will be delivered to Buzz as binaries so I
think that the same process which creates the binaries could create also the
l10n kit.

Where the localization will be done needs to be decided, we have two options:

1) alter the O/S translatedfiles module, but on what branch?

2) add the creation of localized plugins to C/S (Buzz) CVS's translatedfiles module
michal.zlamal@sun.com 2005-05-17 14:57:16 GMT

Michal,

thanks.

thus I think it will be like this:

a. get kit from some nb build area, like on smetiste ?

b. putback to buzz translatedfiles or nb translatedfiles ?
(whatever is best for you)

c. localized jar will be built at some location and delivered,
just like en jar, to buzz
(whatever process is best for you)

--> Let's setup a test situation of this sometimes and I can
provide a localized plugin file for the experiment.



ken.frank@sun.com 2005-05-17 18:23:57 GMT
Comment 1 Michal Zlamal 2005-08-03 10:31:05 UTC
Resolved. The localized serverplugins files are being put to the translatedfiles 
module. The serverplugins build builds ML build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo